This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 114638 - binutils (nm/objdump) manpage is missing information
binutils (nm/objdump) manpage is missing information
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: binutils (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 10:11 EST by Dag Wieers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2004-01-30 10:11:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
The nm manpage doesn't have information for some of the symbol-types
displayed (by objdump). Eg.

    F    ->    Function (?)
    O    ->    Object
    g    ->    Global

And possibly many more. For someone knowledgeable probably a simple
task. But it would help some people to start debugging.

Version-Release number of selected component (if applicable):
binutils-2.14.90.0.4-26.3

How reproducible:
Always

Steps to Reproduce:
1. man nm
2.
3.
    

Additional info:
Comment 1 Jakub Jelinek 2004-02-09 11:03:18 EST
Why should nm man page document symbol types displayed by objdump?
Comment 2 Dag Wieers 2004-02-09 11:22:03 EST
Well, how it is now is that the objdump manpage refers to the nm page
for a list of symbols. This list is incomplete, so either the list is
copied to the manpage of objdump or it is extend in the nm manpage.

I'm not arguing where it should go, I'm just arguing to add a full
list as I've looked in the code of objdump and couldn't find all the
symbols myself. And it is valuable information that should go in the
manpage.

manpages should at least explain the output ;-) Thanks for your work.
Comment 3 RHEL Product and Program Management 2007-10-19 15:30:42 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.